/* grid view of thumbnails */
.event-section {
  margin-bottom: 2rem;
}
.event-title {
  color: #009640;
  font-size: 18px;
  font-weight: bold;
  margin: 5rem 0rem 1rem 0rem;
}
.grid-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}
.grid-item {
  aspect-ratio: 1 / 1;
  overflow: hidden;
  background-color: black;
}
.grid-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  cursor: pointer;
  opacity: 1;
  -webkit-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
  transform: scale(1);
}
.hover-shadow:hover {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  opacity: 0.7;
  -webkit-transform: scale(1.3);
  transform: scale(1.1);
}

.pagination-container {
  display: flex;
  justify-content: center;
  margin: 2rem 0rem;
}
.pagination-button {
  margin: 0 5px;
  padding: 10px 20px;
  background-color: #009640;
  color: white;
  border: none;
  cursor: pointer;
  border-radius: 5px;
}
.pagination-button:hover {
  background-color: #006f4a;
}
.pagination-button[disabled] {
  background-color: #ddd;
  cursor: not-allowed;
}

/* Slider */
.modal {
  padding-top: 100px;
  display: none;
  justify-content: center;
  align-items: center;
  position: fixed;
  z-index: 1;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.9);
}
.close-slider-gallery {
  position: absolute;
  top: 0;
  right: 0;
  padding: 30px;
  color: #f1f1f1;
  font-size: 50px;
  font-weight: bold;
  transition: 0.3s;
  margin-top: 80px;
}
.close-slider-gallery:hover,
.close-slider-gallery:focus {
  text-decoration: none;
  cursor: pointer;
  color: rgba(90, 90, 90, 0.8);
}
.mySlides {
  display: none;
  justify-content: center;
  align-items: center;
}

.numbertext {
  color: #f2f2f2;
  font-size: 20px;
  padding: 30px;
  position: absolute;
  top: 0;
  left: 0;
  margin-top: 80px;
}
.prev {
  margin-left: 15px;
  left: 0;
}
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 30px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}
.next {
  right: 0;
  margin-right: 15px;
}
.prev:hover,
.next:hover {
  color: rgba(90, 90, 90, 0.8);
}

/* Media query */
/* tablet */
@media (max-width: 768px) {
  .mySlides img {
    width: 100%;
    height: auto;
    object-fit: contain;
  }
}
/* mobile */
@media (max-width: 430px) {
  .grid-container {
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
  }
  .event-title {
    font-size: 16px;
  }
  .mySlides {
    justify-content: center;
    align-items: center;
  }
  .mySlides img {
    width: 100%;
    height: auto;
    object-fit: contain;
  }
  .close-slider-gallery,
  .numbertext {
    padding: 15px;
  }
  .numbertext {
    font-size: 16px;
  }
  .next,
  .prev {
    margin: 0px;
  }
  .prev:hover,
  .next:hover {
    color: rgba(255, 255, 255, 0.8);
  }
}
